Subject: Re: [bitcoin-dev] Taproot Activation Meeting Reminder: April 6th 19:00 UTC bitcoin/bitcoin-dev

From: Jorge Timón <[email-masked]>
Date: Sun, 4 Apr 2021 11:31:45 +0200

So the only thing that seemed clear, using height as per bip8, it's not
clear anymore.
And, as usual, we're not talking about activation in general but about
taproot activation, segwit activation...

I won't make it to the meeting because I don't think I have much more to
contribute that I haven't said already beyond perhaps: sigh.
My arguments will probably ignored again, so it doesn't matter.

On Sun, Apr 4, 2021, 06:39 Jeremy via bitcoin-dev <
[email-masked]> wrote:

> We'll be having another meeting this Tuesday, as per
> https://lists.linuxfoundation.org/pipermail/bitcoin-dev/2021-March/018699.html.
> If you can't make it feel free to leave a comment on any agenda item below,
> or if you think there are other things to be discussed.
>
> Agenda:
>
> 1. AJ's update to MTP time.
>
> Please review https://github.com/bitcoin/bitcoin/pull/21377 as AJ updated
> it substantially.
>
> The PR is now purely MTP based, and the state machine has been simplified.
> This approach is intended to be compatible with a mandatory signaling
> period (via a LAST_CHANCE change) and makes it easier to deploy ST on
> signets (irrelevant for Taproot, because it is already active on all
> signets).
>
> 2. Selecting between MTP and Height
>
> In the previous meeting, there was no substantial publicly discussed
> benefit to using MTPs over height. Since agenda item 1, there is now a
> tangible benefit to using MTP.
>
> The changes AJ promulgated for MTP neutralizes the argument, mostly, that
> MTP was easier to review. As such, the main conversation in this agenda
> item is around the pros/cons of height or MTP and determining if we can
> reach consensus on either approach.
>
> 3. Timeline Discussion
> In all hope, we will reach consensus around item 2. Should that occur, we
> can use this time to discuss a final selection on parameters, mindful of
> Core's process.
>
> If the meeting doesn't reach rough consensus around item 2, it seems that
> we may fall short on the proposed schedule from last time. In this section,
> we can discuss realities around scheduling.
>
>
> Best,
>
> Jeremy
>
>
>
> --
> @JeremyRubin <https://twitter.com/JeremyRubin>
> <https://twitter.com/JeremyRubin>
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>